> For the complete documentation index, see [llms.txt](https://www.opal-rt.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.opal-rt.com/docs/hypersim/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/table.md).

# Table

*class* opalone.\_internal.boards.Table(*table\_id*, *project\_id*)

<table data-header-hidden><thead><tr><th width="158.22222900390625"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>A table is a custom list of data points of interest which belong to the same project.</td></tr><tr><td><strong>Parameters</strong></td><td><p><strong>table_id</strong> (<em>str</em>) – The ID of the table.</p><p><strong>project_id</strong> (<em>str</em>) – The ID of the project that owns this table.</p></td></tr><tr><td><strong>Bases</strong></td><td>Board</td></tr></tbody></table>

## Method

### add\_datapoints

add\_datapoints(*datapoints*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Add datapoints to the current table.</td></tr><tr><td><strong>Parameter</strong></td><td><strong>datapoints</strong> (<em>list[str|Datapoint]</em>) – Datapoints to add, either IDs or datapoint objects. IDs and objects can be mixed as well.</td></tr><tr><td><strong>Return</strong></td><td>None</td></tr></tbody></table>

### delete

delete()

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Delete the current board.</td></tr><tr><td><strong>Parameters</strong></td><td>None</td></tr></tbody></table>

### remove\_datapoints

remove\_datapoints(*datapoints*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Remove datapoints from the current table.</td></tr><tr><td><strong>Parameter</strong></td><td><strong>datapoints</strong> (<em>list[str|Datapoint]</em>) – Datapoints to remove, either IDs or datapoint objects. IDs and objects can be mixed as well.</td></tr><tr><td><strong>Returns</strong></td><td>None</td></tr></tbody></table>

### to\_json

to\_json(*fields*, *values*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Convert this resource to a serialized JSON representation.</td></tr><tr><td><strong>Parameter</strong></td><td><ul><li><strong>fields</strong> (<em>tuple[str] | list[str]</em>) – Fields to include.</li><li><strong>values</strong> (<em>tuple[object] | list[object]</em>) – The value of each field</li></ul></td></tr><tr><td><strong>Returns</strong></td><td>The serialized JSON representation.</td></tr><tr><td><strong>Return type</strong></td><td>str</td></tr></tbody></table>

## Property

### created\_at

*property* created\_a&#x74;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The creation date of the board.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### datapoints

*property* datapoint&#x73;*: dict\[str, Parameter | Signal]*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The datapoints presented in the table, in the form of a mapping <em>name = datapoint</em>.</p><p>Datapoints are a concatenation of parameters and signals, and could include other elements in the future.</p><p>This property is read-only, it cannot be modified. However, each datapoint might have alterable properties.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### description

*property* descriptio&#x6E;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>A description of the board.</td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### id

*property* i&#x64;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The ID of the resource.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### modified\_at

*property* created\_a&#x74;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The last-modified date of the board.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### name

*property* nam&#x65;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The name of the board.</p><p>The Board name must be unique within a group or within the root level of boards.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### order

*property* orde&#x72;*: int*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>The order of this board within its group.</td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### parent

*property* paren&#x74;*: None* | *Group*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>The parent Board that contains the current board.</td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### path

*property* pat&#x68;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The path of the board in the board tree.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### type

*property* typ&#x65;*: BoardType*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The type of the board.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.opal-rt.com/docs/hypersim/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/table.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
